com.atid.lib.module.rfid.uhf.types

## Enum Mask6cTarget

- java.lang.Object
- - java.lang.Enum<Mask6cTarget>
  - - com.atid.lib.module.rfid.uhf.types.Mask6cTarget

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<Mask6cTarget>

      public enum Mask6cTarget
      extends java.lang.Enum<Mask6cTarget>
      implements IEnumType

  The Mask6cTarget enumeration represents the Flag where the result status of the Selection Mask will be saved when the RFID UHF module is inventoried.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `S0`
    `S1`
    `S2`
    `S3`
    `SL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static Mask6cTarget` | `valueOf(int code)`
    `static Mask6cTarget` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Mask6cTarget[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### S0

          public static final Mask6cTarget S0

    - #### S1

          public static final Mask6cTarget S1

    - #### S2

          public static final Mask6cTarget S2

    - #### S3

          public static final Mask6cTarget S3

    - #### SL

          public static final Mask6cTarget SL

  - ### Method Detail

    - #### values

          public static Mask6cTarget[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Mask6cTarget c : Mask6cTarget.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Mask6cTarget valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<Mask6cTarget>`

    - #### valueOf

          public static Mask6cTarget valueOf(int code)